* {

    color: whitesmoke;
    font-family: 'VT323', monospace;
}

body {
    height: 1500px;
    background-color: rgb(37, 37, 37);
}

@import url(http://fonts.googleapis.com/css?family=Geo&subset=latin);

/*#aWrapper {}*/

#myCanvas {
    position: relative;
    display: block;
    width: 930px;
    height: 100%;
}

#statsTable {
    
    left: 130px;
    top: -450px;
    position: relative;
    font-size: 20px;
    font-family: "font-family: 'Geo', serif";
    height: auto;

}



#configurationDiv {

    position: relative;
    top: -350px;
    left: 10px;
    height: 300px;
    width: 600px;
}

.switch {
    display: inline-block;
    position: absolute;
    left: 25px;
    top: 520px;
    position: absolute;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.switch input {
    position: absolute;
    top:-300px;
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.slider {
    background-color: rgb(7, 201, 0);
}

input:focus+.slider {
    box-shadow: 0 0 1px rgb(7, 201, 0);
}

input:checked+.slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

.box {
    display: inline-block;
    
    top: 40px;
    left: 0px;
    position: relative;
    height: auto;
    width: 170px;
    border: 2px solid whitesmoke;
    padding: 30px;
}
.box2 {
    display: inline-block;

    top: -480px;
    left: 482px;
    position: relative;
    height: 375px;
    width: 170px;
    border: 2px solid whitesmoke;
    padding: 30px;
}

.boxText {
    color: whitesmoke;
    font-size: 1.4em;
    text-align: center;
    position: relative;
    left: -10px;
    width: 180px;
    margin-top: -45px;
    margin-left: 5px;
    background: rgb(37, 37, 37);
}

input {
    color: rgb(37, 37, 37);
    position: absolute;
    right: 20px;
    width: 70px;
    width: 50px;

}

h2 {
    margin-top: 0px;
    font-size: 1em;
    font-weight: 100;
}

h3 {
    position: relative;
    left: 10%;
    font-size: 1.5em;
    font-weight: 100;
}
h4{
    position: absolute;
    width: 150px;
    font-size: 1.6em;
    position: relative;
    left: -8px;
    top: -65px;
}

.radio{

    height: 20px;;
}

#saveButton{

    position: absolute;
    top: 563px;
    left: 0px;
    height: 75px;
    width: 186px;

    background-color: rgb(37, 37, 37);
    border: 2px solid whitesmoke;

}

h5{
    position: absolute;
    top:-125px;
    font-size: 70px;
    left: 40px;
}
#saveButton:hover{
    
    cursor: pointer;
    background-color: rgb(7, 201, 0);
}

#resetButton{

    position: absolute;
    top: 581px;
    left: 20px;
    height: 45px;
    width: 75px;
    background-color: rgb(37, 37, 37);
    border: 2px solid whitesmoke;

}

h6{
    height: 20px;
    position: relative;
    /* top: 8px; */
    font-size: 20px;
    /* left: 0px; */
    /* transform: rotate(90deg); */
    margin: 0px;
}
#resetButton:hover{
    
    cursor: pointer;
    background-color: rgb(7, 201, 0);
}

.gen{
    position: relative;
    left: -45px;
}
.best{
    position: relative;
    left: -32px;
}
.avg{
    position: relative;
    left: -20px;
}

#neuralNetwork{
    position: absolute;
    left: 550px;
    top: 230px;
}
.neuron{

    height: 15px;
    border: 1px solid whitesmoke;
    width: 15px;
    border-radius: 100px;
    position: relative;
    margin-top: 2px;
}


#neuralNetwork > *{
    position: absolute;
    transform: translate(0%,-50%);
}
.layer1{

    left: 100px;
}
.layer2{

    left: 200px;
}
.layer3{

    left: 300px;
}
.layer4{

    left: 400px;
}
.layer5{

    left: 500px;
}

#svg{
    position: absolute;
    top: 0;
    left: 0;
    width: 170%;
    height: 500px;
  }
  
  line{
    stroke-width:0.1px;
    stroke:whitesmoke;
  }